#ifndef EEPROM_H
#define EEPROM_H
#include "prog_pic.h"
//protocole I2C
void envoie_I2C(u_int16_t donnee);
unsigned char recoit_I2C();
void I2C_bit_start();
void I2C_bit_stop();
int Ack_I2C();
unsigned char * Lire_EEPROM_I2C(unsigned char * buffer);
int Charge_EEPROM_I2C(unsigned char * buffer);

//protocole serie
void envoie_serie(u_int16_t donnee,int nbit);
unsigned char recoit_serie();
void enable_write_serie(int num_bit);
void disable_write_serie(int num_bit);
unsigned char* Lire_EEPROM_serie(unsigned char *buffer,int num_bit);
int Charge_EEPROM_serie(unsigned char * buffer,int num_bit);

//protocole SPI
unsigned char* Lire_EEPROM_SPI(unsigned char *buffer,int num_bit);
void enable_write_SPI();
void disable_protection_SPI();
int Charge_EEPROM_SPI(unsigned char * buffer,int num_bit);
#endif