#ifndef PROG_PIC_H
#define PROG_PIC_H
#include <sys/types.h>
#include <asm/io.h>
#include <linux/unistd.h>
#include <unistd.h>
#include <sys/timex.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define MaxMemDonnee     131072 //pour les eeprom   128k*8-> 1M
#define MaxMemProg        8192
#define OPTIMISE 1
#define NB_INCREMENT_BAR 100

typedef struct
{
u_int16_t *Prog;
unsigned char *EEPROM;
u_int16_t Config_word;
unsigned char ID[4];
}pic_t;
typedef struct
{
unsigned char 	D_O,D_O_barre,
		D_I,D_I_barre,
		Clk,Clk_barre,
		Pow,Pow_barre,
		P_M,P_M_barre,
		P_M2,P_M2_barre,
		SEL,SEL_barre,
		D_93_O,D_93_O_barre;
}conf_port_t;

typedef struct
{
int CPD;
int CP0;
int CP1;
int DP;
int CPC;
int WDTE;
int FOSC0;
int FOSC1;
int FOSC2;
int MCLRE;
int WRT;
int LVP;
int PWRTE;
int PWRTE_barre;
int BODEN;
int RESV;
int DEB_barre;
int ZERO;
int UN;
}s_fuses;

typedef struct
{
char Nom[20];
int memoire_P;
int memoire_D;
int nb_pattes;
int algo;
int type_vpp;
int Word_Config;
int test;
int OscInt;
}type_pic;


#include "gestion_port.h"
#include "gestion_conf.h"
#include "gestion_hex.h"
#include "protocole_pic.h"
#include "eeprom.h"


#ifndef VERSION_WINDOWS
type_pic ** tab_pic;
s_fuses * tab_fuses;
int pic_select;
conf_port_t c_u;
conf_port_t c_autre;


int PORT_PARA;
int type_de_prog;
int le_prog_enable,le_data_enable,le_config_enable,le_ID_enable,osc_int_enable;
int	le_prog_deb,le_prog_fin,
	le_data_deb,le_data_fin;
int val_tempo;
char lastFile[256];
#endif	
void message_erreur(char * message,int fin);
void gestion_bar(int,int,int);
#endif