#include "gestion_hex.h"
int Lire_ligne_Hex_PIC(unsigned char *Ligne,pic_t *mem_pic)
{
	unsigned int taille,Adresse,temp,Spec,somme;
	char mot[5];
	int i;
	if(Ligne[0]!=':') {
		if (Ligne[0]!=';'){message_erreur("Une ligne du fichier n'est pas correcte",0);return -1;}
		return 0;
	}
	else Ligne++;
	mot[2]=0;
	mot[4]=0;
	memcpy(mot,Ligne,2);
	sscanf(mot,"%x",&taille);
	memcpy(mot,Ligne+2,4);
	sscanf(mot,"%x",&Adresse);
	mot[2]=0;
	memcpy(mot,Ligne+6,2);
	sscanf(mot,"%x",&Spec);
	memcpy(mot,Ligne,2);

	i=0;somme=0;
	while(i<(taille*2+8))
	{
		memcpy(mot,Ligne+i,2);
		sscanf(mot,"%x",&temp);
		somme+=temp;
		i++;
		i++;
	}
	memcpy(mot,Ligne+i,2);  //i=taille+4
	sscanf(mot,"%x",&temp);
	somme=(0x100-(somme&255))&255;
	if (somme!=temp)
	{
		char * tmp;
		tmp=(char* )malloc(255);
		sprintf(tmp,"Une erreur de cheksum est survenue sur la ligne :\n%s\n",Ligne);
		message_erreur(tmp,0);
		free(tmp);
	}

	if (tab_pic[pic_select]->algo!=3)
	{
		if (Adresse<0x4000)
		{
			i=0;
			while(i<(taille/2))
			{
				memcpy(mot,Ligne+i*4+8,2);
				sscanf(mot,"%x",&temp);
				mem_pic->Prog[Adresse/2+i]=temp;
				memcpy(mot,Ligne+i*4+10,2);
				sscanf(mot,"%x",&temp);
				mem_pic->Prog[Adresse/2+i]+=temp*256;
				i++;
			}
		}
		else if (Adresse==0x400E)
		{
			memcpy(mot,Ligne+8,2);
			sscanf(mot,"%x",&temp);
			mem_pic->Config_word=temp;
			memcpy(mot,Ligne+10,2);
			sscanf(mot,"%x",&temp);
			mem_pic->Config_word+=temp*256;

		}
		else if (Adresse>=0x4200)
		{
			i=0;
			while(i<(taille/2))
			{
				memcpy(mot,Ligne+i*4+8,2);
				sscanf(mot,"%x",&temp);
				mem_pic->EEPROM[i+Adresse/2-0x2100]=temp;
				i++;
			}
		}
		if ((Adresse>=0x4000) && (Adresse<0x400E))
		{
			i=0;
			while(i<taille)
			{
				memcpy(mot,Ligne+i*4+8,2);
				sscanf(mot,"%x",&temp);
				mem_pic->ID[i+Adresse-0x4000]=temp;
				i++;
			}
		}
	}
	else
	{ //partie pour les 12C508 etc
		if ((Adresse>=0) && (Adresse<(tab_pic[pic_select]->memoire_P*2)))
		{
			i=0;
			while(i<(taille/2))
			{
				memcpy(mot,Ligne+i*4+8,2);
				sscanf(mot,"%x",&temp);
				mem_pic->Prog[Adresse/2+i]=temp;
				memcpy(mot,Ligne+i*4+10,2);
				sscanf(mot,"%x",&temp);
				mem_pic->Prog[Adresse/2+i]+=temp*256;
				i++;
			}
		}
		if ((Adresse>=(tab_pic[pic_select]->memoire_P*2)) && (Adresse<(tab_pic[pic_select]->memoire_P*2+8)) )
		{
			i=0;
			while(i<taille)
			{
				memcpy(mot,Ligne+i*4+8,2);
				sscanf(mot,"%x",&temp);
				mem_pic->ID[i+Adresse-tab_pic[pic_select]->memoire_P*2]=temp;
				i++;
			}
		}
		if (Adresse==0x1FFE)
		{
			memcpy(mot,Ligne+8,2);
			sscanf(mot,"%x",&temp);
			mem_pic->Config_word=temp;
			memcpy(mot,Ligne+10,2);
			sscanf(mot,"%x",&temp);
			mem_pic->Config_word+=temp*256;
		}

	}
	return 1;
}

pic_t* Lire_Fichier_Hex_PIC(char *Nom)
{
	FILE * fd;
	pic_t * mem_pic;
	char * Ligne;
	int i;
	Ligne=(char *)malloc(255);
	mem_pic=(pic_t *)malloc(sizeof(pic_t));
	mem_pic->Prog=(u_int16_t *)malloc(sizeof(u_int16_t)*MaxMemProg); //au cas o le fichier Hex serait destin  un autre PIC
	mem_pic->EEPROM=(unsigned char *)malloc(MaxMemDonnee);              //on prend 8k de mmoire sinon on peut avoir une erreur de segmentation

	i=0;
	while(i<MaxMemProg)
	{
		mem_pic->Prog[i]=0xFFFF;
		i++;
	}
	i=0;
	while(i<MaxMemDonnee)
	{
		mem_pic->EEPROM[i]=0xFF;
		i++;
	}
	mem_pic->ID[0]=0xFF;
	mem_pic->ID[1]=0xFF;
	mem_pic->ID[2]=0xFF;
	mem_pic->ID[3]=0xFF;
	mem_pic->Config_word=0x3FF;
	if((fd=fopen(Nom,"r"))!=NULL)
	{
		while(!feof(fd))
		{
			i=0;
			do {
				if(fread(Ligne+i,1,1,fd)==-1)break;
				i++;
			}while(Ligne[i-1]!= '\n' && Ligne[i-1]!='\r' && !feof(fd));
			if (feof(fd))break;
			if (Ligne[i-1]=='\r')fread(Ligne+i,1,1,fd);
			Ligne[i-1]=0;
			Lire_ligne_Hex_PIC(Ligne,mem_pic);
		}
		fflush(fd);
		fclose(fd);
	}
	else {
		char msg[150];
		sprintf (msg,"Un problme est survenue \npendant l'ouverture du fichier %s\n",Nom);
		message_erreur(msg,0);
	}

	free(Ligne);
	return mem_pic;
}


char *ui2Hex(unsigned int val,char *str,int largeur)
{
	char *temp;
	temp=(char*)malloc(10);
	str[0]=0;
	sprintf(temp,"%X",val);
	if (largeur<strlen(temp))
	{
		//non traite pour l'instant
	}
	else {
		while ((largeur-strlen(temp))>0)
		{
			strcat(str,"0");
			largeur--;
		}
		strcat(str,temp);
	}
	free(temp);
	return str;
}

void Ecrire_Fichier_Hex_PIC(char *Nom,pic_t * mem_pic)
{
	FILE* fd;
	char *NumHex;
	unsigned int somme;
	int i,dernier_i;
	char * chaine;
	chaine=(char*)malloc(256);
	NumHex=(char*)malloc(10);
	if((fd=fopen(Nom,"w"))!=NULL)
	{
	//On enregistre la mmoire Prog
	i=0;dernier_i=0;
	while(i<tab_pic[pic_select]->memoire_P) //c'est des mots
	{

		NumHex[0]=0;
		ui2Hex(i*2,NumHex,4);

		sprintf(chaine,"%s00",NumHex);
		somme=(i*2);
		somme+=(i*2)/256;
		somme=somme&255;

		do{
			NumHex[0]=0;
			NumHex=ui2Hex(mem_pic->Prog[i],NumHex,4);
			somme+=mem_pic->Prog[i]&255;
			somme+=mem_pic->Prog[i]/256;
			somme=somme&255;
			strcat(chaine,NumHex+2);
			NumHex[2]=NumHex[0];
			NumHex[3]=NumHex[1];
			strcat(chaine,NumHex+2);
			i++;
		}while (((i%0x8)!=0 || i==0) && (mem_pic->Prog[i]!=0xFFFF));
		somme+=(i-dernier_i)*2;
		if (strlen(chaine)>10)
		{
			NumHex[0]=0;
			ui2Hex((i-dernier_i)*2,NumHex,2);
			fprintf(fd,":%s",NumHex);
			fprintf(fd,"%s",chaine);
			NumHex[0]=0;
			NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
			fprintf(fd,"%s\r\n",NumHex);
#else
			fprintf(fd,"%s\n",NumHex);
#endif
		}

		dernier_i=i;
	}
	if (tab_pic[pic_select]->algo!=3)
	{
		//on enregistre les IDs
		NumHex=ui2Hex(mem_pic->ID[0],NumHex,2);
		somme=8 + 0x40 + 0x00;
		somme+=mem_pic->ID[0]&255;
		somme+=mem_pic->ID[1]&255;
		somme+=mem_pic->ID[2]&255;
		somme+=mem_pic->ID[3]&255;
		somme=somme&255;
		fprintf(fd,":08400000%s",NumHex);
		NumHex=ui2Hex(mem_pic->ID[1],NumHex,2);
		fprintf(fd,"00%s00",NumHex);
		NumHex=ui2Hex(mem_pic->ID[2],NumHex,2);
		fprintf(fd,NumHex);
		NumHex=ui2Hex(mem_pic->ID[3],NumHex,2);
		fprintf(fd,"00%s00",NumHex);
		NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
		fprintf(fd,"%s\r\n",NumHex);
#else
		fprintf(fd,"%s\n",NumHex);
#endif
		//on enregistre le mot de configuration
		NumHex=ui2Hex(mem_pic->Config_word,NumHex,4);
		somme=2 + 0x40 + 0x0e;
		somme+=mem_pic->Config_word&255;
		somme+=mem_pic->Config_word/256;
		somme=somme&255;
		fprintf(fd,":02400E00%s",NumHex+2);
		NumHex[2]=NumHex[0];
		NumHex[3]=NumHex[1];
		fprintf(fd,"%s",NumHex+2);
		NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
		fprintf(fd,"%s\r\n",NumHex);
#else
		fprintf(fd,"%s\n",NumHex);
#endif
	}
	else
	{
		//partie pour le 12c508

		somme=8 + (tab_pic[pic_select]->memoire_P*2)/256 + 0x00;
		somme+=mem_pic->ID[0]&255;
		somme+=mem_pic->ID[1]&255;
		somme+=mem_pic->ID[2]&255;
		somme+=mem_pic->ID[3]&255;
		somme=somme&255;
		NumHex=ui2Hex((tab_pic[pic_select]->memoire_P*2),NumHex,4);
		fprintf(fd,":08%s",NumHex);
		NumHex=ui2Hex(mem_pic->ID[0],NumHex,2);
		fprintf(fd,"00%s",NumHex);
		NumHex=ui2Hex(mem_pic->ID[1],NumHex,2);
		fprintf(fd,"00%s00",NumHex);
		NumHex=ui2Hex(mem_pic->ID[2],NumHex,2);
		fprintf(fd,NumHex);
		NumHex=ui2Hex(mem_pic->ID[3],NumHex,2);
		fprintf(fd,"00%s00",NumHex);
		NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
		fprintf(fd,"%s\r\n",NumHex);
#else
		fprintf(fd,"%s\n",NumHex);
#endif
		//on enregistre le mot de configuration
		NumHex=ui2Hex(mem_pic->Config_word,NumHex,4);
		somme=2 + 0x1F + 0xFE;
		somme+=mem_pic->Config_word&255;
		somme+=mem_pic->Config_word/256;
		somme=somme&255;
		fprintf(fd,":021FFE00%s",NumHex+2);
		NumHex[2]=NumHex[0];
		NumHex[3]=NumHex[1];
		fprintf(fd,"%s",NumHex+2);
		NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
		fprintf(fd,"%s\r\n",NumHex);
#else
		fprintf(fd,"%s\n",NumHex);
#endif
	}

	//maintenant on va enregistrer la mmoire EEPROM
	i=0x0;
	while(i<tab_pic[pic_select]->memoire_D)
	{
		NumHex[0]=0;
		NumHex=ui2Hex(i*2+0x4200,NumHex,4);
		fprintf(fd,":10%s00",NumHex);
		somme=0x10+0x42;
		somme+=(i*2)&255;
		somme=somme&255;
		do {
			NumHex[0]=0;
			NumHex=ui2Hex(mem_pic->EEPROM[i],NumHex,4);
			somme+=mem_pic->EEPROM[i]&255;
			somme+=mem_pic->EEPROM[i]/256;
			somme=somme&255;
			fprintf(fd,"%s",NumHex+2);
			NumHex[2]=NumHex[0];
			NumHex[3]=NumHex[1];
			fprintf(fd,"%s",NumHex+2);
			i++;
		} while ((i%0x8)!=0);
		NumHex[0]=0;
		NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
#ifndef VERSION_WINDOWS
		fprintf(fd,"%s\r\n",NumHex);
#else
		fprintf(fd,"%s\n",NumHex);
#endif
	}
#ifndef VERSION_WINDOWS
	fprintf(fd,":00000001FF\r\n");
#else
	fprintf(fd,":00000001FF\n");
#endif
	fclose(fd);
	}
	else {
		printf ("Un problme est survenue pendant l'ouverture du fichier  l'ecriture\n");
		message_erreur("Un problme est survenue \npendant l'ouverture du fichier  l'ecriture",0);
	}
	free(NumHex);
}

/*
--------------------------------------------------------------
--              PARTIE EEPROM                               --
--------------------------------------------------------------
*/

int Lire_ligne_Hex_EEPROM(unsigned char *Ligne,pic_t *mem_pic)
{
	unsigned int taille,Adresse,temp,Spec,somme;
	char mot[5];
	int i;
	if(Ligne[0]!=':') {
		if (Ligne[0]!=';'){message_erreur("Une ligne du fichier n'est pas correcte",0);return -1;}
		return 0;
	}
	else Ligne++;
	mot[2]=0;
	mot[4]=0;
	memcpy(mot,Ligne,2);
	sscanf(mot,"%x",&taille);
	memcpy(mot,Ligne+2,4);
	sscanf(mot,"%x",&Adresse);
	mot[2]=0;
	memcpy(mot,Ligne+6,2);
	sscanf(mot,"%x",&Spec);
	memcpy(mot,Ligne,2);

	i=0;somme=0;
	while(i<(taille*2+8))
	{
		memcpy(mot,Ligne+i,2);
		sscanf(mot,"%x",&temp);
		somme+=temp;
		i++;
		i++;
	}
	memcpy(mot,Ligne+i,2);  //i=taille+4
	sscanf(mot,"%x",&temp);
	somme=(0x100-(somme&255))&255;
	if (somme!=temp)
	{
		char * tmp;
		tmp=(char* )malloc(255);
		sprintf(tmp,"Une erreur de cheksum est survenue sur la ligne :\n%s\n",Ligne);
		message_erreur(tmp,0);
		free(tmp);
	}
	i=0;
	while(i<taille)
	{

		memcpy(mot,Ligne+i*2+8,2);
		sscanf(mot,"%x",&temp);
		mem_pic->EEPROM[i+Adresse]=temp;
		i++;
	}
	return 1;
}
pic_t* Lire_Fichier_Hex_EEPROM(char *Nom)
{

	FILE * fd;
	pic_t * mem_pic;
	char * Ligne;
	int i;
	Ligne=(char *)malloc(255);
	mem_pic=(pic_t *)malloc(sizeof(pic_t));
	mem_pic->Prog=(u_int16_t *)malloc(sizeof(u_int16_t)*MaxMemProg); //au cas o le fichier Hex serait destin  un autre PIC
	mem_pic->EEPROM=(unsigned char *)malloc(MaxMemDonnee);              //on prend 8k de mmoire sinon on peut avoir une erreur de segmentation

	i=0;
	while(i<MaxMemProg)
	{
		mem_pic->Prog[i]=0xFFFF;
		i++;
	}
	i=0;
	while(i<MaxMemDonnee)
	{
		mem_pic->EEPROM[i]=0xFF;
		i++;
	}
	mem_pic->ID[0]=0xFF;
	mem_pic->ID[1]=0xFF;
	mem_pic->ID[2]=0xFF;
	mem_pic->ID[3]=0xFF;
	mem_pic->Config_word=0x3FF;

	if((fd=fopen(Nom,"r"))!=NULL)
	{
		while(!feof(fd))
		{
			i=0;
			do {
				if(fread(Ligne+i,1,1,fd)==-1)break;
				i++;
			}while(Ligne[i-1]!= '\n' && Ligne[i-1]!='\r' && !feof(fd));
			if (feof(fd))break;
			if (Ligne[i-1]=='\r')fread(Ligne+i,1,1,fd);
			Ligne[i-1]=0;
			Lire_ligne_Hex_EEPROM(Ligne,mem_pic);
		}
		fflush(fd);
		fclose(fd);
	}
	else {
		char msg[150];
		sprintf (msg,"Un problme est survenue \npendant l'ouverture du fichier %s\n",Nom);
		message_erreur(msg,0);
	}

	free(Ligne);
	return mem_pic;
}
void Ecrire_Fichier_Hex_EEPROM(char *Nom,pic_t * mem_pic)
{
	FILE* fd;
	char *NumHex;
	unsigned int somme;
	int i;

	NumHex=(char*)malloc(10);
	if((fd=fopen(Nom,"w"))!=NULL)
	{
		//maintenant on va enregistrer la mmoire EEPROM
		i=0x0;
		while(i<tab_pic[pic_select]->memoire_D)
		{

			NumHex[0]=0;
			NumHex=ui2Hex(i,NumHex,4);
			fprintf(fd,":10%s00",NumHex);
			somme=0x10;
			somme+=(i)&255;
			somme=somme&255;
			do {
				NumHex[0]=0;
				NumHex=ui2Hex(mem_pic->EEPROM[i],NumHex,2);
				somme+=mem_pic->EEPROM[i]&255;
				somme=somme&255;
				fprintf(fd,"%s",NumHex);
				i++;
			} while ((i%0x10)!=0);
			NumHex[0]=0;
			NumHex=ui2Hex((0x100-(somme&255))&255,NumHex,2);
	#ifndef VERSION_WINDOWS
			fprintf(fd,"%s\r\n",NumHex);
	#else
			fprintf(fd,"%s\n",NumHex);
	#endif
		}
#ifndef VERSION_WINDOWS
		fprintf(fd,":00000001FF\r\n");
#else
		fprintf(fd,":00000001FF\n");
#endif
		fclose(fd);
	}
	else {
		printf ("Un problme est survenue pendant l'ouverture du fichier  l'ecriture\n");
		message_erreur("Un problme est survenue \npendant l'ouverture du fichier  l'ecriture",0);
	}
	free(NumHex);
}
