#include "gestion_port.h"

#ifndef VERSION_WINDOWS
void attente(int n)
{
	struct ntptimeval toto;
	struct ntptimeval toto2;

	ntp_gettime(&toto);
	do {
		ntp_gettime(&toto2);
	}while ((toto2.time.tv_usec-toto.time.tv_usec+(toto2.time.tv_sec-toto.time.tv_sec)*1000000)<(n+val_tempo));
}
#endif

void data_a_1()
{
	port_donnee=(c_u.D_O_barre)*(port_donnee&(255-c_u.D_O))+(!c_u.D_O_barre)*(port_donnee|c_u.D_O);  //on remet le bit 0  0 -> RB7  1
	outb(port_donnee,PORT_PARA);
}
void data_a_0()
{
	port_donnee=(!c_u.D_O_barre)*(port_donnee&(255-c_u.D_O))+(c_u.D_O_barre)*(port_donnee|c_u.D_O);
	outb(port_donnee,PORT_PARA);
}

void data_93_a_1()
{
	port_donnee=(c_u.D_93_O_barre)*(port_donnee&(255-c_u.D_93_O))+(!c_u.D_93_O_barre)*(port_donnee|c_u.D_93_O);  //on remet le bit 0  0 -> RB7  1
	outb(port_donnee,PORT_PARA);
}
void data_93_a_0()
{
	port_donnee=(!c_u.D_93_O_barre)*(port_donnee&(255-c_u.D_93_O))+(c_u.D_93_O_barre)*(port_donnee|c_u.D_93_O);
	outb(port_donnee,PORT_PARA);
}
void s_a_1()
{
	port_donnee=(c_u.SEL_barre)*(port_donnee&(255-c_u.SEL))+(!c_u.SEL_barre)*(port_donnee|c_u.SEL);  //on remet le bit 0  0 -> RB7  1
	outb(port_donnee,PORT_PARA);
}
void s_a_0()
{
	port_donnee=(!c_u.SEL_barre)*(port_donnee&(255-c_u.SEL))+(c_u.SEL_barre)*(port_donnee|c_u.SEL);
	outb(port_donnee,PORT_PARA);
}


void clock_a_1()
{
	port_donnee=(c_u.Clk_barre)*(port_donnee&(255-c_u.Clk))+(!c_u.Clk_barre)*(port_donnee|c_u.Clk);
	outb(port_donnee,PORT_PARA);
}
void clock_a_0()
{
	port_donnee=(!c_u.Clk_barre)*(port_donnee&(255-c_u.Clk))+(c_u.Clk_barre)*(port_donnee|c_u.Clk);
	outb(port_donnee,PORT_PARA);
}

#ifndef TEST_CARTE
void init_port()
{
	port_donnee=0;
	port_entree=0;
	seteuid(0);
	ioperm(PORT_PARA,8,1);  //permet d'autoriser la lecture/ecriture sur le port
	seteuid(getuid());
	data_a_0();
	clock_a_0();
	Power_off();
//	Vtest_Mode_a_0();
	port_donnee=(!c_u.P_M2_barre)*(port_donnee&(255-c_u.P_M2))+(c_u.P_M2_barre)*(port_donnee|c_u.P_M2);	 //pour les PIC16F877
	port_donnee=(!c_u.P_M_barre)*(port_donnee&(255-c_u.P_M))+(c_u.P_M_barre)*(port_donnee|c_u.P_M);
	outb(port_donnee,PORT_PARA); //on remet physiquement le port de donnee  0
}

void Power_on()
{
	port_donnee=(c_u.Pow_barre)*(port_donnee&(255-c_u.Pow))+(!c_u.Pow_barre)*(port_donnee|c_u.Pow);
	outb(port_donnee,PORT_PARA);
}
void Power_off()
{
	port_donnee=(!c_u.Pow_barre)*(port_donnee&(255-c_u.Pow))+(c_u.Pow_barre)*(port_donnee|c_u.Pow);
	outb(port_donnee,PORT_PARA);
}
void Vtest_Mode_a_1()
{
	if (tab_pic[pic_select]->type_vpp)port_donnee=(c_u.P_M2_barre)*(port_donnee&(255-c_u.P_M2))+(!c_u.P_M2_barre)*(port_donnee|c_u.P_M2);	 //pour les PIC16F877
	else	port_donnee=(c_u.P_M_barre)*(port_donnee&(255-c_u.P_M))+(!c_u.P_M_barre)*(port_donnee|c_u.P_M);	   //MCLR/ n'est pas inverse
	outb(port_donnee,PORT_PARA);
}

void Vtest_Mode_a_0()
{
	if (tab_pic[pic_select]->type_vpp)port_donnee=(!c_u.P_M2_barre)*(port_donnee&(255-c_u.P_M2))+(c_u.P_M2_barre)*(port_donnee|c_u.P_M2);	 //pour les PIC16F877
	else	port_donnee=(!c_u.P_M_barre)*(port_donnee&(255-c_u.P_M))+(c_u.P_M_barre)*(port_donnee|c_u.P_M);
	outb(port_donnee,PORT_PARA);
}

#endif
#ifdef TEST_CARTE

void init_port()
{
	port_donnee=4+8+16;
	port_entree=0;
	ioperm(PORT_PARA,8,1);  //permet d'autoriser la lecture/ecriture sur le port
	outb(port_donnee,PORT_PARA); //on remet physiquement le port de donnee  0
}
void Power_on()
{
	port_donnee=port_donnee&(255-4); //MCLR/ n'est pas inverse
	outb(port_donnee,PORT_PARA);
}
void Power_off()
{
	port_donnee=port_donnee|4; //MCLR/ n'est pas inverse
	outb(port_donnee,PORT_PARA);
}
void Vtest_Mode_a_1()
{
if (tab_pic[pic_select]->type_vpp)port_donnee=port_donnee&(255-16); //pour les PIC16F877
	else	port_donnee=port_donnee&(255-8);   //MCLR/ n'est pas inverse
	outb(port_donnee,PORT_PARA);
}

void Vtest_Mode_a_0()
{
if (tab_pic[pic_select]->type_vpp)	port_donnee=port_donnee|16; //pour les PIC16F877
	else	port_donnee=port_donnee|8; //MCLR/ n'est pas inverse
	outb(port_donnee,PORT_PARA);
}

#endif

void output_data()
{
}


unsigned int get_b_data()
{
	unsigned int entree;
	entree=inb(PORT_PARA+1);
//	entree=(( (entree&c_u.D_I)*(c_u.D_I_barre==0) ==c_u.DI); //6me bit et on inverse
	if (!c_u.D_I_barre) entree=((entree&c_u.D_I)==c_u.D_I);
	 else entree=((entree&c_u.D_I)!=c_u.D_I);
	return entree;
}
