#include "protocole_pic.h"
#define MaxNumProg 25
#define MaxNumProg_12C 8


void bit_stop()
{
	clock_a_1();
	data_a_0();
	attente(1);  //correspond  1 us (il faut au min 100ns
	clock_a_0();
	attente(1);
}
void put_command(unsigned int cmd)
{
	int b,i;
	i=0;
	while (i<6)
	{
		b=cmd&1;
//			printf("-	Mise  1 de l'horloge\n");
		clock_a_1();
//			printf("-	Mise  %d du bit %d\n",b,i);
		if (b) 	data_a_1();
			else	data_a_0();
		attente(1);
//			printf("-	Mise  0 de l'horloge\n");
		clock_a_0();
		attente(1);
		i++;
		cmd=cmd/2; // -> corespond  une rotation vers la droite
	}
}
void put_data(u_int16_t donnee)
{
	int b,i;
	i=0;
	while (i<14)
	{
		b=donnee&1;
//			printf("-	Mise  1 de l'horloge\n");
		clock_a_1();
//			printf("-	Mise  %d du bit %d\n",b,i);
		if (b) 	data_a_1();
			else	data_a_0();
		attente(1);
//			printf("-	Mise  0 de l'horloge\n");
		clock_a_0();
		attente(1);
		i++;
		donnee=donnee/2; // -> corespond  une rotation vers la droite
	}
}
u_int16_t get_data()
{
	u_int16_t donnee;
	int b,i;
	i=0;
	donnee=0;
	while(i<14)
	{
//			printf("-	Mise  1 de l'horloge\n");

		clock_a_1();

		attente(1);
//			printf("-	reception de %d pour le bit %d\n",b,i);
		clock_a_0();

//		b=get_b_data();
		attente(1);
		b=get_b_data();
		i++;
		donnee+=b*0x4000;	//on commence du 14me bit
		donnee=donnee/2;
	}
	return donnee;
}

void Commence_Prog_Mode()
{
	clock_a_0();
	data_a_0();
	Vtest_Mode_a_1();
}
void Fini_Prog_Mode()
{
	clock_a_0();
	data_a_0();
	Vtest_Mode_a_0();
}

void Load_Configuration(u_int16_t data)
{
	input_data();
	attente(2);		//il faut au min 1us on en met 2
	output_data();
	put_command(0);
	input_data();
	attente(2);
	clock_a_1();
	output_data();
	data_a_0();
	attente(1);
	clock_a_0();
	attente(1);
	put_data(data);
	bit_stop();
}

void Load_Data_For_Program_Memory(u_int16_t data)
{
	input_data();
	attente(2);
	output_data();
	put_command(2);
	input_data();
	attente(2);
	clock_a_1();
	output_data();
	data_a_0();
	attente(1);
	clock_a_0();
	attente(1);
	put_data(data);
	bit_stop();
}
void Load_Data_For_Data_Memory(u_int16_t data)
{
	input_data();
	attente(2);
//	output_data();
	put_command(3);
	input_data();
	attente(2);
	clock_a_1();
	output_data();
	data_a_0();
	attente(1);
	clock_a_0();
	attente(1);
	put_data(data);
	bit_stop();
}

u_int16_t Read_Data_From_Program_Memory()
{
	u_int16_t donnee;
	attente(2);
//		printf("envoie la commande\n");
	put_command(4);
//		printf("fin de la commande, passe en mode entree\n");
	input_data();
	attente(1);
//		printf("Mise  1 de l'horloge\n");
	clock_a_1();
	attente(1);
//		printf("Mise  0 de l'horloge\n");
	clock_a_0();
	attente(1);
//		printf("Reception des donnes\n");
	donnee=get_data();
//		printf("Mise  1 de l'horloge\n");
	clock_a_1();
	attente(1);
//		printf("Mise  0 de l'horloge\n");
	clock_a_0();
	attente(1);
	output_data();
//		printf("Fin de la lecture\n");
	return donnee;
}
u_int16_t Read_Data_From_Data_Memory()
{
	u_int16_t donnee;
	input_data();
	attente(2);
	output_data();
	put_command(5);
	input_data();
	attente(2);
	clock_a_1();
	attente(1);
	clock_a_0();
	attente(1);
	donnee=get_data();
	clock_a_1();
	attente(1);
	clock_a_0();
	attente(1);
	output_data();
	return donnee;
}
void Increment_Adress()
{
	input_data();
	attente(2);
	output_data();
	put_command(6);
}


void Begin_EraseProgram_Cycle()
{
	input_data();
	attente(2);
	output_data();
	put_command(8);
	attente(20000); //20ms

}

void Begin_Programming()
{
	input_data();
	attente(2);
	output_data();
	put_command(8);
	attente(10000); //10ms
}
void Algo2_Begin_Programming()
{
	input_data();
	attente(2);
	output_data();
	put_command(8);
	attente(100); //100us
}

void End_Programming()  //algo 2
{
	input_data();
	attente(2);
	output_data();
	put_command(14);
}

void Bulk_Erase_Program_Memory()
{
	input_data();
	attente(2);
	output_data();
	put_command(9);
}


void Bulk_Erase_Data_Memory()
{
	input_data();
	attente(2);
	output_data();
	put_command(11);
}
//essai de nouvelles commandes...
void Commande_7()
{
	input_data();
	attente(2);
	output_data();
	put_command(7);
}
void Commande_1()
{
	input_data();
	attente(2);
	output_data();
	put_command(1);
}

int Detect_Programmateur()
{
init_port();
attente(10);

data_a_1();
attente(1);
if (get_b_data())
	{
	data_a_0();
	attente(1);
	if(!get_b_data())return 1;
	}
return 0;
}

void prog_erreur(u_int16_t adr,u_int16_t val_put,u_int16_t val_get,char *msg)
{
	char *temp;
	temp=(char*)malloc(255);
	sprintf(temp,"%s\nUn problme est survenu : \nAdresse %X\nDonnee envoye %X\n Donne reue %X\n",msg,adr,val_put,val_get);
	message_erreur(temp,0);
	free (temp);
	Fini_Prog_Mode();
	Power_off();
}


int Algo1_Charge_tout_vers_PM(u_int16_t *buffer)
{
	int i;
	u_int16_t Donnee;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();

	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}

	while((i<tab_pic[pic_select]->memoire_P)&& (i<=le_prog_fin))
	{
		if ((buffer[i]!=0xFFFF)&& (buffer[i]!=Read_Data_From_Program_Memory() || !OPTIMISE))
		{
			Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
			Begin_Programming();
			Donnee=Read_Data_From_Program_Memory();
			if ((Donnee&0x3FFF)!=(buffer[i]&0x3FFF))
			{
				prog_erreur(i,buffer[i],Donnee,"Programme : ");
				return -1;
				break;
			}
		}
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,0);

		i++;
		}
	Fini_Prog_Mode();
	Power_off();
	return 0;
}

u_int16_t * Algo1_Lit_tout_de_PM(u_int16_t * buffer)
{

	int i;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}

	while((i<tab_pic[pic_select]->memoire_P)&& (i<=le_prog_fin))
	{
		buffer[i]=Read_Data_From_Program_Memory();
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,1);

		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return buffer;
}

int Algo1_Charge_tout_vers_DM(unsigned char *buffer)
{
	int i;
	u_int16_t Donnee;
	int for_progress_bar=tab_pic[pic_select]->memoire_D;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	i=0;
	while(i<le_data_deb)
	{
		Increment_Adress();
		i++;
	}

	while((i<tab_pic[pic_select]->memoire_D)&& (i<=le_data_fin))
	{
		Load_Data_For_Data_Memory(buffer[i]&0xFF);
		Begin_Programming();
		Donnee=Read_Data_From_Data_Memory();
		if ((buffer[i]&255)!=(Donnee&255))
		{
			prog_erreur(i,buffer[i],Donnee,"Programme : ");
			return -1;
			break;
		}
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,2);

		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return 0;
}

unsigned char * Algo1_Lit_tout_de_DM(unsigned char * buffer)
{
	int i;
	int for_progress_bar=tab_pic[pic_select]->memoire_D;

	init_port();
	Power_on();
	Commence_Prog_Mode();

	i=0;
	while(i<le_data_deb)
	{
		Increment_Adress();
		i++;
	}

	while((i<tab_pic[pic_select]->memoire_D)&& (i<=le_data_fin))
	{
		buffer[i]=(Read_Data_From_Data_Memory())&0xFF;
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,3);
		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return buffer;
}
void Efface_DM_et_PM()
{
	s_fuses * fu;
	int donnee;
	fu=&tab_fuses[tab_pic[pic_select]->Word_Config];
	init_port();
	Power_on();
	Commence_Prog_Mode();
    	Load_Configuration(0x3FFF);
    	Increment_Adress();
	Increment_Adress();
	Increment_Adress();
	Increment_Adress();
	Increment_Adress();
	Increment_Adress();
	Increment_Adress();
	donnee=Read_Data_From_Program_Memory();
	Fini_Prog_Mode();
	if (((donnee&fu->CP0)&&(donnee&fu->CP1)&&(donnee&fu->DP)&&(donnee&fu->CPD))==0)
	{
		Commence_Prog_Mode();
	    	Load_Configuration(0x3FFF);
    		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		//on arrive a 0x2007
		Commande_1();
		Commande_7();
		Begin_Programming();
		Commande_1();
		Commande_7();
		Fini_Prog_Mode();
	}
	Commence_Prog_Mode();
	if(le_data_enable)
	 {
		Bulk_Erase_Data_Memory();
		Begin_Programming();
		Load_Data_For_Data_Memory(0x3FFF);
		Begin_Programming();
	}
	if(le_prog_enable)
	{
		Bulk_Erase_Program_Memory();
		Begin_Programming();
		Load_Data_For_Program_Memory(0x3FFF);
		Begin_Programming();
	}
	Fini_Prog_Mode();
	Power_off();
}



int Algo1_Charge_ID_Config(pic_t *mem_pic)  //pas finit car on  ne fait pas de vrif
{
	u_int16_t Donnee;
	init_port();
	if(le_ID_enable)
	 {
		Power_on();
		Commence_Prog_Mode();
		Load_Configuration(0x3FFF);
		Load_Data_For_Program_Memory(mem_pic->ID[0]);
		Begin_Programming();

		Donnee=Read_Data_From_Program_Memory();
		if ((Donnee&127)!=(mem_pic->ID[0]&127))
		{
			prog_erreur(0,mem_pic->ID[0],Donnee,"ID0 : ");
			return -1;
		}
		Increment_Adress();
		Load_Data_For_Program_Memory(mem_pic->ID[1]);
		Begin_Programming();

		Donnee=Read_Data_From_Program_Memory();
		if ((Donnee&127)!=(mem_pic->ID[1]&127)){prog_erreur(1,mem_pic->ID[1],Donnee,"ID1 : "); return -1;}
		Increment_Adress();
		Load_Data_For_Program_Memory(mem_pic->ID[2]);
		Begin_Programming();

		Donnee=Read_Data_From_Program_Memory();
		if ((Donnee&127)!=(mem_pic->ID[2]&127)){prog_erreur(2,mem_pic->ID[2],Donnee,"ID2 : "); return -1;}
		Increment_Adress();
		Load_Data_For_Program_Memory(mem_pic->ID[3]);
		Begin_Programming();
		Donnee=Read_Data_From_Program_Memory();
		if ((Donnee&127)!=(mem_pic->ID[3]&127)){prog_erreur(3,mem_pic->ID[3],Donnee,"ID3 : "); return -1;}
//	printf("Les 4 IDs sont crits\n");
		Fini_Prog_Mode();
		Power_off();
		attente(1);
	}
	if(le_config_enable)
	{
	   	Power_on();
		Commence_Prog_Mode();
	    	Load_Configuration(mem_pic->Config_word);
    		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
	//on arrive a 0x2007
		Begin_Programming();
		Donnee=Read_Data_From_Program_Memory();
		if (Donnee!=mem_pic->Config_word)
		{
			prog_erreur(0x2007,mem_pic->Config_word,Donnee,"Mot de Configuration :\n");
			return -1;
		}
//	printf("Le mot de config est crit\n");
		Fini_Prog_Mode();
		Power_off();

	}
	return 0;
}

void Algo1_Lit_ID_Config(pic_t * mem_pic)
{
	init_port();
	Power_on();
	Commence_Prog_Mode();
	Load_Configuration(0x3FF);
	if(le_ID_enable)
	{

		mem_pic->ID[0]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[1]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[2]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[3]=Read_Data_From_Program_Memory();
	}else
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
	}
	if(le_config_enable)
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		mem_pic->Config_word=Read_Data_From_Program_Memory();
	}
	Fini_Prog_Mode();
	Power_off();
}
//----------------------------
// Algo 2
int Algo2_Charge_tout_vers_PM(u_int16_t *buffer)
{
	int i,N;
	u_int16_t Donnee;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}
	while((i<tab_pic[pic_select]->memoire_P-((tab_pic[pic_select]->OscInt && osc_int_enable==0)))&& (i<=le_prog_fin))
	{
		if ((buffer[i]!=0xFFFF)&& (buffer[i]!=Read_Data_From_Program_Memory() || !OPTIMISE))
		{
			N=0;
			do {
				Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
				Algo2_Begin_Programming();
				End_Programming();
				Donnee=Read_Data_From_Program_Memory();
				N++;
			} while (((Donnee&0x3FFF)!=(buffer[i]&0x3FFF)) && N<MaxNumProg);
			if (N==MaxNumProg){
				prog_erreur(i,buffer[i],Donnee,"Programme : ");
				return -1;
				break;
			}
		//on fait 3 cycles supplementaires...
			Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
			Algo2_Begin_Programming();
			End_Programming();
			Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
			Algo2_Begin_Programming();
			End_Programming();
			Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
			Algo2_Begin_Programming();
			End_Programming();

		}
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
		gestion_bar(i,for_progress_bar,0);

		i++;
		}
	Fini_Prog_Mode();
	Power_off();
	return 0;
}

u_int16_t * Algo2_Lit_tout_de_PM(u_int16_t * buffer)
{

	int i;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}
	while((i<tab_pic[pic_select]->memoire_P)&& (i<=le_prog_fin))
	{
		buffer[i]=Read_Data_From_Program_Memory();
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,1);
		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return buffer;
}
int Algo2_Charge_ID_Config(pic_t *mem_pic)
{
	int i,N;
	u_int16_t Donnee;

	init_port();
	Power_on();
	Commence_Prog_Mode();
	Load_Configuration(0x3FF);
	if(le_ID_enable)
	{
		i=0;
		while (i<4)
		{
			N=0;
			do {
				Load_Data_For_Program_Memory(mem_pic->ID[i]&0x000F);
				Algo2_Begin_Programming();
				End_Programming();
				Donnee=Read_Data_From_Program_Memory();
				N++;
			} while ((Donnee&0xF)!=(mem_pic->ID[i]&0xF) && N<MaxNumProg);
			if (N==MaxNumProg){
				prog_erreur(i,mem_pic->ID[i],Donnee,"ID : ");
				return -1;
				break;
			}
			Load_Data_For_Program_Memory(mem_pic->ID[i]);
			Algo2_Begin_Programming();
			End_Programming();
			Load_Data_For_Program_Memory(mem_pic->ID[i]);
			Algo2_Begin_Programming();
			End_Programming();
			Load_Data_For_Program_Memory(mem_pic->ID[i]);
			Algo2_Begin_Programming();
			End_Programming();
			Increment_Adress();
			i++;
		}
	} else
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
	}
	if(le_config_enable)
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		//on arrive a 0x2007
		i=0;
		while (i<100)
		{
			Load_Data_For_Program_Memory(mem_pic->Config_word);
			Algo2_Begin_Programming();
			End_Programming();
			i++;
		}
		Donnee=Read_Data_From_Program_Memory();
		if (Donnee!=mem_pic->Config_word)
		{
			prog_erreur(0x2007,mem_pic->Config_word,Donnee,"Mot de configuation :\n");
			return -1;
		}
	//	printf("Le mot de config est crit\n");
	}
	Fini_Prog_Mode();
	Power_off();
	return 0;
}

void Algo2_Lit_ID_Config(pic_t * mem_pic)
{
	init_port();
	Power_on();
	Commence_Prog_Mode();
	Load_Configuration(0x3FF);
	if(le_ID_enable)
	{
		mem_pic->ID[0]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[1]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[2]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[3]=Read_Data_From_Program_Memory();
	}else
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
	}
	if(le_config_enable)
	{
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		Increment_Adress();
		mem_pic->Config_word=Read_Data_From_Program_Memory();
	}
	Fini_Prog_Mode();
	Power_off();
}

//---------------------------------------
//Algo 3
//---------------------------------------
u_int16_t * Algo3_Lit_tout_de_PM(u_int16_t * buffer)
{
	int i;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	Increment_Adress(); //le premier mot est le mot de config
	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}

	while((i<tab_pic[pic_select]->memoire_P)&& (i<=le_prog_fin))
	{
		buffer[i]=Read_Data_From_Program_Memory();
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,1);
		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return buffer;
}
int Algo3_Charge_tout_vers_PM(u_int16_t *buffer)
{
	int i,N,N2;
	u_int16_t Donnee;
	int for_progress_bar=tab_pic[pic_select]->memoire_P;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	Increment_Adress(); //le premier mot est le mot de config
	i=0;
	while(i<le_prog_deb)
	{
		Increment_Adress();
		i++;
	}
	while((i<tab_pic[pic_select]->memoire_P-((tab_pic[pic_select]->OscInt && osc_int_enable==0)))&& (i<=le_prog_fin))
	{
		if ((buffer[i]!=0xFFFF)&& (buffer[i]!=Read_Data_From_Program_Memory() || !OPTIMISE))
		{

			N=0;
			do {
			Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
			Algo2_Begin_Programming();
			End_Programming();
			Donnee=Read_Data_From_Program_Memory();
			N++;
		} while (((Donnee&0x3FFF)!=(buffer[i]&0x3FFF)) && N<MaxNumProg_12C);
		if (N==MaxNumProg_12C){
				prog_erreur(i,buffer[i],Donnee,"Programme : ");
				return -1;
	//			printf("Prog :Une erreur d'criture est survenue pour le mot numero %d : %X, %X\n",i,buffer[i],Donnee);
				break;
			}
			N2=0;
			while (N2<(N*11))
			{
				//on fait N*11 cycles supplementaires...
				Load_Data_For_Program_Memory((buffer[i])&0x3FFF);
				Algo2_Begin_Programming();   //c'est normal, c'est pour les 100us comme l'algo 2
				End_Programming();
				N2++;
			}

		}
		Increment_Adress();
		if (i%(for_progress_bar/NB_INCREMENT_BAR+1)==0)
			gestion_bar(i,for_progress_bar,0);
		i++;
	}
	Fini_Prog_Mode();
	Power_off();
	return 0;
}
int Algo3_Charge_ID_Config(pic_t *mem_pic)
{
	int i,N,N2;
	u_int16_t Donnee;

	init_port();

	if(le_ID_enable)
	{
		Power_on();
		Commence_Prog_Mode();
		i=0;
		while(i<=tab_pic[pic_select]->memoire_P)
		{
			Increment_Adress();
			i++;
		}

		i=0;
		while (i<4)
		{
			N=0;
			do {
				Load_Data_For_Program_Memory(mem_pic->ID[i]&0x00FF);
				Algo2_Begin_Programming();
				End_Programming();
				Donnee=Read_Data_From_Program_Memory();
				N++;
			} while ((Donnee&127)!=(mem_pic->ID[i]&127) && N<MaxNumProg);
			if (N==MaxNumProg_12C){
				prog_erreur(i,mem_pic->ID[i],Donnee,"ID : ");
				return -1;
				break;
			}
			N2=0;
			while (N2<(N*11))
			{
				//on fait N*11 cycles supplementaires...
				Load_Data_For_Program_Memory((mem_pic->ID[i])&0x00FF);
				Algo2_Begin_Programming();   //c'est normal, c'est pour les 100us comme l'algo 2
				End_Programming();
				N2++;
			}
			Increment_Adress();
			i++;
		}
	//	printf("Les 4 IDs sont crits\n");
		Fini_Prog_Mode();
		Power_off();
		attente(10);
	}
	if(le_config_enable)
	{
		Power_on();
		Commence_Prog_Mode();
		i=0;
		while (i<100)
		{
			Load_Data_For_Program_Memory(mem_pic->Config_word);
			Algo2_Begin_Programming();
			End_Programming();
			i++;
		}
		Donnee=Read_Data_From_Program_Memory();
		if (Donnee!=mem_pic->Config_word)
		{
			prog_erreur(0xFFF,mem_pic->Config_word,Donnee,"Mot de configuration :\n");
			return -1;
		}
	//	printf("Le mot de config est crit\n");
		Fini_Prog_Mode();
		Power_off();
	}
	return 0;
}

void Algo3_Lit_ID_Config(pic_t * mem_pic)
{
	int i;
	init_port();
	Power_on();
	Commence_Prog_Mode();
	if(le_config_enable)mem_pic->Config_word=Read_Data_From_Program_Memory();
	if(le_ID_enable)
	{
		i=0;
		while(i<=(tab_pic[pic_select]->memoire_P))
		{
			Increment_Adress();
			i++;
		}
		mem_pic->ID[0]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[1]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[2]=Read_Data_From_Program_Memory();
		Increment_Adress();
		mem_pic->ID[3]=Read_Data_From_Program_Memory();
	}
	Fini_Prog_Mode();
	Power_off();
}

//-----------------------------------------
int Charge_tout_vers_PM(u_int16_t *buffer)
{
	int res=0;
	if (le_prog_enable)
	{
		if (tab_pic[pic_select]->algo==1)res=Algo1_Charge_tout_vers_PM(buffer);
		if (tab_pic[pic_select]->algo==2)res=Algo2_Charge_tout_vers_PM(buffer);
		if (tab_pic[pic_select]->algo==3)res=Algo3_Charge_tout_vers_PM(buffer);
	}
	return res;
}
int Charge_tout_vers_DM(unsigned char *buffer)
{
	int res=0;
	if (le_data_enable)
	{
		if (tab_pic[pic_select]->algo==1)res=Algo1_Charge_tout_vers_DM(buffer);
		if (tab_pic[pic_select]->algo==-1 || tab_pic[pic_select]->algo==-2)res=Charge_EEPROM_I2C(buffer);
		if (tab_pic[pic_select]->algo==-3)
		{
			int type_93;
			if (tab_pic[pic_select]->memoire_D<=128) type_93=7;
			else if (tab_pic[pic_select]->memoire_D<=512) type_93=9;
			else type_93=11;
			res=Charge_EEPROM_serie(buffer,type_93);
		}
		if (tab_pic[pic_select]->algo==-4)
		{
			int type_SPI;
			if (tab_pic[pic_select]->memoire_D<=128) type_SPI=8;
			else if (tab_pic[pic_select]->memoire_D<=512) type_SPI=9;
			else type_SPI=16;
			res=Charge_EEPROM_SPI(buffer,type_SPI);
		}
	}
	return res;
}
u_int16_t * Lit_tout_de_PM(u_int16_t * buffer)
{
	if (buffer==NULL)
	{
		buffer=(u_int16_t *)malloc(sizeof(u_int16_t)*MaxMemProg);
		memset((char*)buffer,255,sizeof(u_int16_t)*MaxMemProg);
	}
	if (le_prog_enable)
	{
		if  (tab_pic[pic_select]->algo==1)buffer=Algo1_Lit_tout_de_PM(buffer);
		else if  (tab_pic[pic_select]->algo==2)buffer=Algo2_Lit_tout_de_PM(buffer);
		else if  (tab_pic[pic_select]->algo==3)buffer=Algo3_Lit_tout_de_PM(buffer);
	}
	return buffer;
}
unsigned char * Lit_tout_de_DM(unsigned char * buffer)
{
	if (buffer==NULL)
	{
		buffer=(unsigned char *)malloc(sizeof(unsigned char)*MaxMemDonnee);
		memset(buffer,255,MaxMemDonnee);
	}

	if (le_data_enable)
	{
		if  (tab_pic[pic_select]->algo==1)buffer=Algo1_Lit_tout_de_DM(buffer);
		else if  (tab_pic[pic_select]->algo==-1 || tab_pic[pic_select]->algo==-2)buffer=Lire_EEPROM_I2C(buffer);
		else if  (tab_pic[pic_select]->algo==-3)
		{
			int type_93;
			if (tab_pic[pic_select]->memoire_D<=128) type_93=7;
			else if (tab_pic[pic_select]->memoire_D<=512) type_93=9;
			else type_93=11;
			buffer=Lire_EEPROM_serie(buffer,type_93);
		}
		else if (tab_pic[pic_select]->algo==-4)
		{
			int type_SPI;
			if (tab_pic[pic_select]->memoire_D<=256) type_SPI=8;
			else if (tab_pic[pic_select]->memoire_D<=512) type_SPI=9;
			else type_SPI=16;
			buffer=Lire_EEPROM_SPI(buffer,type_SPI);
		}
	}
	return buffer;
}
int Charge_ID_Config(pic_t *mem_pic)
{
	int res=0;
	if  (tab_pic[pic_select]->algo==1)res=Algo1_Charge_ID_Config(mem_pic);
	if  (tab_pic[pic_select]->algo==2)res=Algo2_Charge_ID_Config(mem_pic);
	if  (tab_pic[pic_select]->algo==3)res=Algo3_Charge_ID_Config(mem_pic);
	return res;
}
void Lit_ID_Config(pic_t * mem_pic)
{
	if  (tab_pic[pic_select]->algo==1)Algo1_Lit_ID_Config(mem_pic);
	if  (tab_pic[pic_select]->algo==2)Algo2_Lit_ID_Config(mem_pic);
	if  (tab_pic[pic_select]->algo==3)Algo3_Lit_ID_Config(mem_pic);
}

