#ifndef PROTOCOLE_PIC_H
#define PROTOCOLE_PIC_H
#include "prog_pic.h"
//#include "gestion_port.h"
//#include "eeprom.h"
//---------------------
//commandes general
//---------------------
void bit_stop();
void put_command(unsigned int cmd);
void put_data(u_int16_t donnee);
u_int16_t get_data();
void Commence_Prog_Mode();
void Fini_Prog_Mode();
void Load_Configuration(u_int16_t data);
void Load_Data_For_Program_Memory(u_int16_t data);
void Load_Data_For_Data_Memory(u_int16_t data);
u_int16_t Read_Data_From_Program_Memory();
u_int16_t Read_Data_From_Data_Memory();
void Increment_Adress();
void Begin_EraseProgram_Cycle();
void Begin_Programming();
void Algo2_Begin_Programming();
void End_Programming();  //algo 2 et 3
void Bulk_Erase_Program_Memory();
void Bulk_Erase_Data_Memory();
void Commande_7();
void Commande_1();

//fonction de detection du programmateur
int Detect_Programmateur();

//affiche un mesg d'erreur
void prog_erreur(u_int16_t adr,u_int16_t val_put,u_int16_t val_get,char * msg);

//Fonctions de l'algorithme 1;
int Algo1_Charge_tout_vers_PM(u_int16_t *buffer);
u_int16_t * Algo1_Lit_tout_de_PM(u_int16_t * buffer);
int Algo1_Charge_tout_vers_DM(unsigned char *buffer);
unsigned char * Algo1_Lit_tout_de_DM(unsigned char *buffer);
void Efface_DM_et_PM();
int Algo1_Charge_ID_Config(pic_t *mem_pic);
void Algo1_Lit_ID_Config(pic_t * mem_pic);

//Fonctions de l'algorithme 2;
int Algo2_Charge_tout_vers_PM(u_int16_t *buffer);
u_int16_t * Algo2_Lit_tout_de_PM(u_int16_t * buffer);
int Algo2_Charge_ID_Config(pic_t *mem_pic);
void Algo2_Lit_ID_Config(pic_t * mem_pic);

//Fonctions de l'algorithme 2;
u_int16_t * Algo3_Lit_tout_de_PM(u_int16_t * buffer);
int Algo3_Charge_tout_vers_PM(u_int16_t *buffer);
int Algo3_Charge_ID_Config(pic_t *mem_pic) ;
void Algo3_Lit_ID_Config(pic_t * mem_pic);


//Fonctions general pour charger le bon algo (meme pour les eeproms);
int Charge_tout_vers_PM(u_int16_t *buffer);
int Charge_tout_vers_DM(unsigned char *buffer);
u_int16_t * Lit_tout_de_PM(u_int16_t * buffer);
unsigned char * Lit_tout_de_DM(unsigned char* buffer);
int Charge_ID_Config(pic_t *mem_pic);
void Lit_ID_Config(pic_t * mem_pic);
#endif